#!/bin/sh

die()
{
	echo $@ 1>&2
	exit 1
}

test -d m4  || mkdir m4
test -d lib || mkdir lib

git submodule update --init || echo "Failed to update Gnulib sources from git."
if test -x gnulib/gnulib-tool; then
	gnulib/gnulib-tool --update || die "Failed to update gnulib."
else
	die "Gnulib sources are not properly installed in gnulib/"
fi

autoreconf -fis
